package com.dsk.common.core.domain.model;

import com.dsk.common.utils.DateUtils;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.Date;
import java.util.List;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class IndexBigBidPageBody extends BasePage
{
    /**
     * 开始时间
     */
    private Date timeStart = DateUtils.addDays(new Date(), -7);
    /**
     * 截止时间
     */
    private Date timeEnd = new Date();
    /**
     * 金额起 默认2亿
     */
    private Double amountStart = 20000.00;
    /**
     * 金额止
     */
    private Double amountEnd;
    /**
     * 省份Id
     */
    private Integer provinceId;

    private List<String> projects;
}
